#pragma once

#include "CoreMinimal.h"
#include "Components/ActorComponent.h"
#include "GameplayTagContainer.h"
#include "Templates/SubclassOf.h"
#include "ZoneTileComponent.generated.h"

class AInteractable;

UCLASS(Blueprintable, meta=(BlueprintSpawnableComponent))
class DBDGAMEPLAY_API UZoneTileComponent : public UActorComponent
{
	GENERATED_BODY()

private:
	UPROPERTY(EditAnywhere)
	FGameplayTag _zoneTag;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(AllowPrivateAccess=true))
	TArray<TSubclassOf<AInteractable>> _interactableClassesToIgnore;

public:
	UZoneTileComponent();
};

FORCEINLINE uint32 GetTypeHash(const UZoneTileComponent) { return 0; }
